<?php
/**
 * Created by PhpStorm.
 * User: pejot
 * Date: 2015-03-08
 * Time: 22:39
 */
global $ankieta;
global $data;
global $page;
$ankieta->writeGap();

$ankieta->writeGap();
//$ankieta->writeHeader("DIRECT CHOICE – WSZYSTKIE PRODUKTY");
//$ankieta->writeGap();

//$order=$ankieta->getNextSubmitParameters()['order'];
//print_r($order);

//[^uncheckById(["P2","P3","P4","P5"])^]
//[^showOrClean(input,["P2","P3","P4","P5","P6"])^]
//[^clean(["P2","P3","P4","P5","P6"])^]
//[^showOrClean($("input[name=P1]"),["P2"])^]

$testedProductLabs=$ankieta->getLabels('PROD1PR');

$testedOrder=[];
for ($i=1;$i<=3;$i++) {
    $testedOrder[$i]=$ankieta->getValue('PROD'.$i.'PR');
}

//new dBug($testedOrder);

//$testedProduct=$ankieta->getValue('PROD'.$order."PR");
//$testedProdctLasbs=$ankieta->getLabels('PROD'.$order."PR");

//$ankieta->addField('BLOCK'.$order.'_CODE','Tested product','NUMERIC',1,$testedProdctLasbs);
//$ankieta->setValue('BLOCK'.$order.'_CODE',$order);
//$ankieta->setSurveyFieldsToWrite(['BLOCK'.$order.'_CODE']);

$answers=array();
$answers[1]='Napój piwny testowany jako <b>pierwszy</b> - '.$testedProductLabs[$testedOrder[1]];
$answers[2]='Napój piwny testowany jako <b>drugi</b> - '.$testedProductLabs[$testedOrder[2]];
$ankieta->writeRadio('P1','Proszę przypomnieć sobie smak napojów, które Pan[i|] próbował[a|].<br/>Który spośród testowanych napojów piwnych, był Pan[i|a] zdaniem <b>smaczniejszy?</b>',$answers,true,@clean($data['P1']),'NUMERIC',"<span onClick=\"doLogic2($(this).find('input:radio').attr('id'));\">","</span>");
//$ankieta->writeRadio('DC2','A który kupił/aby Pan/i najmniej chętnie?',$answers,true,@clean($data['DC2']),'NUMERIC',"<span onClick=\"doLogic2($(this).find('input:radio').attr('id'));\">","</span>");

?>

<div id="wholeP2" style="display: none;">
    <?
$ankieta->writeGap();
$ankieta->writeOpen(2,300,'P2','Co sprawiło, że najbardziej smakował Pan[i|u] napój piwny?',300,@clean($data['P10'],''), "STRING", '300',true);
?>
</div>
<?


$ankieta->writeGap();

$answers=$testedProductLabs;
$ankieta->writeRadio('P1CODE','KOD NAJLEPSZEGO PRODUKTU',$answers,true,@clean($data['P1CODE']),'NUMERIC');



?>
<script type="text/javascript">
    var testedOrder=<?php echo json_encode($testedOrder);?>;
    var readOnlyFields=['P1CODE'];
    var P2template='Co sprawiło, że najbardziej smakował Pan[i|u] napój piwny [SYMBOL_PROD]?';

    $(document).ready(function() {
        for (f in readOnlyFields) {
            //console.log(readOnlyFields[f]);
            disableButtons("[name=" + readOnlyFields[f] + "]");
        }
    });

    function preSubmit() {
        //console.log('preSubmit');
        for (f in readOnlyFields) {
            enableButtons("[name=" + readOnlyFields[f] + "]");
        }
    }

    function doLogic2(id) {
        //console.log(el);
        //console.log(id);
        var el=$('#' + id);
        var value=parseFloat(el.val(),10);
        //console.log('value',value);
        selectRadio(el.attr('name') + 'CODE' ,testedOrder[value]);

        var dc1Val=parseFloat($.fancyfields.GroupVal("P1"),10);

        switch (el.attr('name')) {
            case 'P1':
                var label=getElementLabel('#P1CODE_' + testedOrder[value]);
                //console.log('label for DC1',label);
                $("label[for='P2']").html(P2template.replace("[SYMBOL_PROD]",label.toUpperCase()));
                $("#wholeP2").show();
                //console.log('dc1Val',dc1Val);
                //console.log('dc2Val',dc2Val);
                /*if (dc1Val===dc2Val) {
                    unSelectRadio('DC2' ,testedOrder[value]);
                    unSelectRadio('DC2CODE' ,testedOrder[value]);
                    $("#wholeP11").hide();
                }*/
                break;
        }


    }

</script>
